EVENTCOUNTER(1)

NAME
contsink, eventcounter, eventgenerator, eventlogger, eventselect, eventsink, eventsource, messagesource, viewevents - utility applications which can be used together with other MUSIC-aware applications in multi-simulations

SYNOPSIS
contsink [-tdih ]
eventcounter [-tbmh ] n_units prefix [ suffix ]
eventgenerator [-tbfmih ] n_units
eventlogger [-tlbmih ]
eventselect [-th ] n_units units
eventsink [-tmih ] n_units prefix [ suffix ]
eventsource [-tbmih ] n_units prefix [ suffix ]
messagesource [-tbh ] prefix [ suffix ]
viewevents [-tshT ] configfile

DESCRIPTION
This manual page documents briefly a set of MUSIC-aware utility applications provided together with MUSIC library.

eventcounter receives spikes through a MUSIC input port, counts all spikes for each index and writes the frequencies to a set of files with names prefix rank suffix

eventgenerator generates spikes from a Poisson distribution.

eventlogger logs spikes from a MUSIC port.

eventselect receives events from an input port of width n_units and sends events for the subset of id:s specified in the file units

eventsink receives spikes through a MUSIC input port and writes these to a set of files with names prefix rank suffix

eventsource reads spikes from a set of files with names prefix rank suffix and propagates these spikes through a MUSIC output port.

viewevents reads spikes from a MUSIC input port and displays them as a 3D graphical representation.

OPTIONS
The utilities follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-b ticks, --maxbuffered ticks
    Specify maximal amount of data buffered.

-f freq, --frequency
    Specify average frequency (default 10 Hz).

-h, --help
    Show usage information.

-i, --indextype
    Select global (default) or local indices. (Used for testing and benchmarking purposes.)

-l latency, --acclatency latency
    Specify acceptable data latency (s).

-m type, --imaptype type
    Select linear (default) or roundrobin index map.

-s scaling, --scaletime scaling
    Specify real time to simulated time scale factor (s). If omitted, the visualization runs at full speed.

-t timestep, --timestep timestep
    Specify time between tick() calls (default 0.01 s).

-T title, --title title
    Specify window title.

SEE ALSO
music(1)

AUTHOR
MUSIC was written by Mikael Djurfeldt and Örjan Ekeberg for INCF. viewevents was written by Johannes Hjorth for INCF.

This manual page was written by Mikael Djurfeldt <mdj@debian.org>, for the Debian project (but may be used by others).